%define	name	modplug-xmms
%define	version	1.5a
%define release 3mdk

Name:		%{name}
Summary:	Modplug Plugin for XMMS
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://modplug-xmms.sourceforge.net/
Source:		modplugxmms-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	xmms >= 1.0.0
BuildPrereq:	libxmms1-devel

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code from
ModPlug, a popular windows mod player written by Olivier Lapicque,
found at http://www.modplug.com

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n modplugxmms-%{version}

%build


%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Input

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xmms/Input/libmodplug.so
%{_libdir}/xmms/Input/libmodplug.la

%changelog
* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-3mdk
- too fast

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-1mdk
- udpated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.5a

* Fri Jan 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- 1.5
- gcc 2.96 again
- make rpmlint happy by renaming spec file

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3a-1mdk
- uploaded to 1.3
- build with egcs

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-2mdk
- took contributed SRPM from Gtz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- initial Mandrake release

